﻿using DPSAPI.Models;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Linq;

// For more information on enabling Web API for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace DPSAPI.Controllers
{
    [Route("api/[controller]")]
    public class MeasurementController : Controller
    {

        private DPS310Context context = new DPS310Context();

        // GET: api/values
        [HttpGet]
        public IEnumerable<Measurement> Get()
        {
            return context.Measurement.ToList();
        }

        [HttpGet("{id}", Name = "GetMeasurement")]
        public IActionResult GetById(long id)
        {
            var item = context.Measurement.FirstOrDefault(t => t.Id == id);
            if (item == null)
            {
                return NotFound();
            }
            return new ObjectResult(item);
        }

        //[HttpGet("{temperature, pressure, deviceId}", Name="Dps310")]
        //public ActionResult Dps310(string temperature, string pressure, string deviceId)
        //{
        //    System.Diagnostics.Debug.WriteLine("Temperature = " + temperature);
        //    System.Diagnostics.Debug.WriteLine("Pressure = " + pressure);
        //    System.Diagnostics.Debug.WriteLine("DeviceId = " + deviceId);
        //    return Content("DeviceId " + deviceId + " data accepted");
        //}



        [HttpPost]
        public IActionResult Create([FromBody] Measurement item)
        {
            if (item == null)
            {
                return BadRequest();
            }

            System.Diagnostics.Debug.WriteLine(item.ToString());
            item.Time = System.DateTime.Now;

            //Add to database
            context.Measurement.Add(item);
            context.SaveChanges();

            return CreatedAtRoute("GetMeasurement", new { id = item.Id }, item);
        }

    }
}
